Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.format
Interface PeriodPrinter

    public interface PeriodPrinter

Internal interface for printing textual representations of time periods.

Application users will rarely use this class directly. Instead, you will use one of the factory classes to create a `PeriodFormatter`.

The factory classes are:
- `PeriodFormatterBuilder`
- `PeriodFormat`
- `ISOPeriodFormat`

Since:
  1.0
Author:
  Brian S O'Neill, Stephen Colebourne
See Also:
  `PeriodFormatter`, `PeriodFormatterBuilder`, `PeriodFormat`

Method Summary
`int` | `calculatePrintedLength(ReadablePeriod period, java.util.Locale locale)` Returns the exact number of characters produced for the given period.
`int` | `countFieldsToPrint(ReadablePeriod period, int stopAt, java.util.Locale locale)` Returns the amount of fields from the given period that this printer will print.
`void` | `printTo(java.lang.StringBuffer buf, ReadablePeriod period, java.util.Locale locale)` Prints a ReadablePeriod to a StringBuffer.
`void` | `printTo(java.io.Writer out, ReadablePeriod period, java.util.Locale locale)` Prints a ReadablePeriod to a Writer.

Method Detail

### calculatePrintedLength

    int calculatePrintedLength(ReadablePeriod period,
                               java.util.Locale locale)

  Returns the exact number of characters produced for the given period.

  Parameters:
    `period` - the period to use
    `locale` - the locale to use
  Returns:
    the estimated length

### countFieldsToPrint

    int countFieldsToPrint(ReadablePeriod period,
                           int stopAt,
                           java.util.Locale locale)

  Returns the amount of fields from the given period that this printer will print.

  Parameters:
    `period` - the period to use
    `stopAt` - stop counting at this value, enter a number ≥ 256 to count all
    `locale` - the locale to use
  Returns:
    amount of fields printed

### printTo

    void printTo(java.lang.StringBuffer buf,
                 ReadablePeriod period,
                 java.util.Locale locale)

  Prints a ReadablePeriod to a StringBuffer.

  Parameters:
    `buf` - the formatted period is appended to this buffer
    `period` - the period to format
    `locale` - the locale to use

### printTo

    void printTo(java.io.Writer out,
                 ReadablePeriod period,
                 java.util.Locale locale)
                 throws java.io.IOException

  Prints a ReadablePeriod to a Writer.

  Parameters:
    `out` - the formatted period is written out
    `period` - the period to format
    `locale` - the locale to use
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD